Method: cachedContents.patch

Full name: projects.locations.cachedContents.patch

Updates cached content configurations

Endpoint

patch https://{service-endpoint}/v1beta1/{cachedContent.name}

PATCH https://{service-endpoint}/v1beta1/{cachedContent.name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

cachedContent.name string

Immutable. Identifier. The server-generated resource name of the cached content Format: projects/{project}/locations/{location}/cachedContents/{cachedContent}

Query parameters

updateMask string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of CachedContent.

Response body

If successful, the response body contains an instance of CachedContent.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.cachedContents.update

For more information, see the IAM documentation.